Package org.apache.sling.distribution.serialization.impl.vlt

## Class FileVaultContentSerializerProvider

- java.lang.Object
- - org.apache.sling.distribution.serialization.impl.vlt.FileVaultContentSerializerProvider

All Implemented Interfaces:
  `DistributionContentSerializerProvider`

    public class FileVaultContentSerializerProvider
    extends Object
    implements DistributionContentSerializerProvider

Provides `DistributionContentSerializer` based on Apache Jackrabbit FileVault

### Constructor Summary

Constructors
`FileVaultContentSerializerProvider​(org.apache.jackrabbit.vault.packaging.Packaging packaging)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DistributionContentSerializer` `build​(String name, ExportSettings exportSettings, ImportSettings importSettings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileVaultContentSerializerProvider

    public FileVaultContentSerializerProvider​(org.apache.jackrabbit.vault.packaging.Packaging packaging)

### Method Detail

#### build

    public DistributionContentSerializer build​(String name,
                                               ExportSettings exportSettings,
                                               ImportSettings importSettings)

Specified by:
  `build` in interface `DistributionContentSerializerProvider`
Parameters:
  `name` - The serializer name
  `exportSettings` - settings for export
  `importSettings` - settings for import
Returns:
  a distribution content serializer